## com.fasterxml.jackson.databind.deser.std
Class PrimitiveArrayDeserializers

    java.lang.Object
      com.fasterxml.jackson.databind.deser.std.PrimitiveArrayDeserializers

    public class PrimitiveArrayDeserializers

extends Object

Container for deserializers used for instantiating "primitive arrays", arrays that contain non-object java primitive types.

Constructor Summary
`protected` `PrimitiveArrayDeserializers()`

Method Summary
`Object` `deserializeWithType(JsonParser jp, DeserializationContext ctxt, TypeDeserializer typeDeserializer)`
`static HashMap<JavaType,JsonDeserializer<Object>>` `getAll()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimitiveArrayDeserializers

    protected PrimitiveArrayDeserializers()

Method Detail

### getAll

    public static HashMap<JavaType,JsonDeserializer<Object>> getAll()

### deserializeWithType

    public Object deserializeWithType(JsonParser jp,
                                      DeserializationContext ctxt,
                                      TypeDeserializer typeDeserializer)
                               throws IOException,
                                      JsonProcessingException

  Throws:
    `IOException`
    `JsonProcessingException`

Copyright © 2012 fasterxml.com. All Rights Reserved.